org.apache.xmlbeans.impl.common

## Interface PrefixResolver

All Known Subinterfaces:
  NamespaceManager, TypeStore, ValidatorListener.Event

All Known Implementing Classes:
  NamespaceContext

    public interface PrefixResolver

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNamespaceForPrefix(String prefix)` Caled when the user has a prefix and needs to look up the corresponding namespace URI.

### Method Detail

#### getNamespaceForPrefix

    String getNamespaceForPrefix(String prefix)

Caled when the user has a prefix and needs to look up the corresponding namespace URI. If the prefix is not defined in this context, then this method may return null. The no-namespace is represented by the empty string return result. If the prefix is null or "", then the default namespace is being requested. To conform with the XML spec, the default namespace will return the no-namespace ("") if it is not mapped.